5E Character Create Playlist
Page 1 of 2 12 Last
  1. #1

    Problems to connect Test Version

    Since last week I have not been able to connect to a campaign on Fantasy Grounds Unity that uses the Test version. We are 4 players and 1 DM, and I am the only player who has been unable to connect.

    I have a Mac Mini (M1 2020), running the MacOS 11.5.1 and the Ultimate version of the FG Unity.

    I have tried to disable my router firewall, use a VPN, and nothing worked.

    But I am able to connect to a campaign if I go for the Live version.

    Please, any help is super welcome!
    Attached Files Attached Files

  2. #2
    LordEntrails's Avatar
    Join Date
    May 2015
    Location
    -7 UTC
    Posts
    14,518
    Blog Entries
    9
    Welcome

    Do you mean the Test Channel found on the launch screen under settings? You should not be using the Test channel unless their is a post in this sub-forums saying that there is a current test build for evaluation. And it is strongly recommended that the Test channel not be used for actual game play. Also, when using the Test channel, the GM and all players should be using it.

    Can you verify if you are actually using the test channel or if you mean something else?

  3. #3
    Yes, all of us are using the Test channel.
    We have played for almost 2 months and just now, I started having this problem.

  4. #4
    The Test and Live versions are currently on 2 different network versions, and can not talk to each other. The GM and player must both be running the exact same version to talk to each other.

    If you try to connect across versions, it will just stall. While we usually are able to include a version mismatch message; the move between v4.1.4 and v4.1.5 includes moving to a brand new Unity game engine version that created a mismatch on a lower level than we can capture in the network libraries we are using. This should hopefully only be a limited situation where the mismatch is unable to be communicated.

    Regards,
    JPG

  5. #5
    LordEntrails's Avatar
    Join Date
    May 2015
    Location
    -7 UTC
    Posts
    14,518
    Blog Entries
    9
    To restate what Moon said, you all need to update, if you have not updated and the others have, you will not be able to connect to them. The current Test build is not compatible with the previous version.

  6. #6
    So, everyone in our group has played using Test for this specific Campaign. Nobody is using Live. We all check constantly for updates before start the session. So none of those explanations would really apply for my case here unfortunately.

  7. #7
    I started a new beta test on July 22 for the Test release. Prior to that time, the Test channel was the same as the Live channel. Generally, you should not be using the Test channel unless you have decided to be part of the beta test. The new beta version on July 22 was built with a newer version of Unity tools that build a universal Mac app that is supposed to work on Intel and M1 Macs.

    When did you start seeing the issue?

    Can anyone else reading this thread confirm whether they have had any problems connecting with M1 Macs?

    Regards,
    JPG

  8. #8
    The last time we played together was on 20th of July. Then, when we tried to play again, it was on the 3rd of August. I'm in the UK, DM and 3 others players located in Brazil. All have updated the FG, and always running through Test mode. I was the only player who had this problem, and the first time this happened was on 3rd August. I didn't try running FG from 21st July until 3rd of August.

    I am also the only one in my group using a Mac.

  9. #9
    Trenloe's Avatar
    Join Date
    May 2011
    Location
    Colorado, USA
    Posts
    29,920
    The logs provided in post #1 shows some errors in the installation - most notably:

    Code:
    [8/5/2021 9:37:48 PM] [ERROR]  LOADTHREAD: System.DllNotFoundException: lua5.1
    In the past, errors like this occasionally occurred on Windows and were solved by updating some Microsoft .NET libraries. For Mac I'm not sure what the fix would be for this.
    Private Messages: My inbox is forever filling up with PMs. Please don't send me PMs unless they are actually private/personal messages. General FG questions should be asked in the forums - don't be afraid, the FG community don't bite and you're giving everyone the chance to respond and learn!

  10. #10
    True. When I tried to find a solution on the FAQs, I found about the .NET but nothing covering MacOS.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
5E Product Walkthrough Playlist

Log in

Log in